<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %> 
<%@ page session="false" %>
<!doctype html>
<html lang="ko">
<head>
	
	<%@ include file="/WEB-INF/views/common.jsp" %>
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1"/>
	<meta name="Description" content="사이트설명" />
	<meta name="Keywords" content="키워드" />
	
	<link rel="stylesheet" type="text/css" href="${contextRoot }/css/common.css" />
	<link rel="stylesheet" type="text/css" href="${contextRoot }/css/reset.css" />
	<link rel="stylesheet" type="text/css" href="${contextRoot }/css/login.css" />			<!-- 해당 페이지 전용 -->
	
	<title>SIGINFO_MAP</title>
</head>
<body>
<div id="login">
	<div class="login_box">
		<h1><img src="images/t_intro.gif" alt="돌발정보관리시스템 및 교통안전데이터관리시스템 통합 로그인" /></h1>
		<form id="loginForm">
			<fieldset>
				<legend class="hidden">로그인 경로 선택</legend>
				<p class="mb10">
					<label class="title" for="userid"><img src="images/t_id.png" alt="아이디" /></label>
					<input type="text" id="userid" class="tbox09" />
				</p>
				<p>
					<label class="title" for="userpw"><img src="images/t_password.png" alt="비밀번호" /></label>
					<input type="password" id="userpw" class="tbox09" />
				</p>
				<input type="image" src="images/btn_login.gif" class="btn_login" alt="들어가기" onclick="loginValidation(); return false;"/>
			</fieldset>
		</form>
	</div>
	<div class="footer"><img src="images/index_footer.gif" alt="이 사이트는 1280pixel의 화면 폭 사이즈에 최적화 되어 있습니다. Copyright(c) 2013 National Police Agency." /></div>
</div>

<script src="${contextRoot }/js/common/common-all.js" type="text/javascript" ></script><!-- 공통 -->
<script type="text/javascript">
//로그인 진행 관련  함수
//1. 입력 확인
//2. 유효성 검사

function loginValidation(){
	
	if($('#userid').val() == ""){
		alert("아이디를 입력해 주세요.");
		$('#userid').val("");
		$('#userid').focus();
		return;
	}else if($('#userpw').val() == ""){
		alert("비밀번호를 입력해주세요.");
		$('#userpw').val("");
		$('#userpw').focus();
		return;
	}
	
	loginCheck();
}

function loginCheck(){
	//var url = _CONTEXTROOT+"/checkLogin.do";
	var url = "checkLogin.do";
	var param = 	'&OPER_EMAIL='	+	$('#userid').val();
	   	param += 	'&OPER_PASSWD='	+	$('#userpw').val();
	   	
	requestService(url, param, loginCheckCallback);
}

//로그인 진행 관련  콜백 함수
//1. DB 결과 출력
function loginCheckCallback(xml){
	
	var len = $(xml).find("list").length;
		
	if(len > 0){
		// 쿠키 설정
		var userId = $("#userid").val();
		setCookie("userid", userId , 10);
		
		var loginTime = getCookie("loginTime");
		setCookie("loginTime", new Date() , 10);
		var time = '';
		if (loginTime === undefined || loginTime == "") {
			location.href='main.do';
			return false;
		}else{
			time = new Date(loginTime);
		}
		
		var noticeTime = new Date();

		if(noticeTime > time){
			location.href='main.do';
		}
		
	}else{
		alert('로그인에 실패하였습니다.');
	}
}

</script>

</body>
</html>
